%global npm_name aws-sign2
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 0.7.0
Release: %mkrel 4
Summary: AWS signing
License: Apache-2.0
Group: Development/Other
URL: https://github.com/mikeal/aws-sign#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.7.0-4.mga9
+ Revision: 1818371
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.7.0-3.mga8
+ Revision: 1502417
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.7.0-2.mga7
+ Revision: 1280162
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 0.7.0-1.mga7
+ Revision: 1224750
- imported package nodejs-aws-sign2

